RAMPLER(1)

NAME
rampler - module for sampling genomic sequences

DESCRIPTION
usage: rampler [options ...] <mode>

  <mode>

  subsample <sequences> <reference length> <coverage> [<coverage> ...]

<sequences>

    input file in FASTA/FASTQ format (can be compressed with gzip) containing sequences to be subsampled

<reference length>

    integer denoting length of the reference genome (or assembly) from which the sequences originate

<coverage>

    integer denoting desired coverage of the subsampled sequences

  split <sequences> <chunk size>

<sequences>

    input file in FASTA/FASTQ format (can be compressed with gzip) containing sequences which will be split into smaller chunks

<chunk size>

    integer denoting the desired chunk size in bytes

OPTIONS

-o, --out-directory

    default: current directory path in which sampled files will be created

--version

    prints the version number

-h, --help

    prints the usage

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.